package client.renderer.entity;

import client.renderer.layers.LayerMooshroomMushroom;
import client.renderer.model.ModelBase;
import common.entity.animal.EntityMooshroom;


public class RenderMooshroom extends RenderLiving<EntityMooshroom>
{
    private static final String mooshroomTextures = "textures/entity/mooshroom.png";

    public RenderMooshroom(RenderManager renderManagerIn, ModelBase modelBaseIn)
    {
        super(renderManagerIn, modelBaseIn);
        this.addLayer(new LayerMooshroomMushroom(this));
    }

    /**
     * Returns the location of an entity's texture. Doesn't seem to be called unless you call Render.bindEntityTexture.
     */
    protected String getEntityTexture(EntityMooshroom entity)
    {
        return mooshroomTextures;
    }
}
